Subject: <!DOCTYPE> declaration

From: Joe Abley <[email-masked]>
Date: Tue, 3 Dec 2002 05:23:14 -0500

My reading of the W3C XML spec seems to suggest that all the request 
and response documents in the current drafts are well-formed, but none 
of them are valid (in the XML sense) since none of them include a 
<!DOCTYPE> declaration as their first element.

My experience with XML parsers is somewhat light, but it seems 
reasonable to me that a valid document is more likely to play nicely 
with a validating parser than an invalid document.

Seems to me like there might be an argument for requiring that request 
and response documents MUST be valid (and hence include a <!DOCTYPE> 
element). Alternatively, it could be specified that clients and servers 
MUST accept a <!DOCTYPE> element if it's present.

In any case, I think some mention needs to be made of <!DOCTYPE> 
declarations, unless I am suffering delusions about what the 
standalone="no" attribute means in the <?xml> decl.

Joe